#!/usr/bin/env node
/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-policies

var g = require('strong-globalize')();

module.exports = {
  name: 'devapps',
  version: require('../package.json').version,
  path: __filename,
  isBuiltin: true,
  topics: getTopics,
};

function getTopics() {
  return [ {
    name: 'devapps',
    commands: [
      {
        command: 'get <name>',
        loginRequired: true,
        helpInfo: g.f('apic_devapps_get_help.txt'),
        action: function(name, opts) {
          return require('./plugin-impl').devappsGet(name, opts);
        },
        type: 'catalog',
        defaultType: true,
        options: [
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.catalog.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.catalog.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'url', default: '$APIC_CONFIG$.catalog.host', required: true },
        ],
      },
      {
        command: 'get <name>',
        loginRequired: true,
        helpInfo: g.f('apic_devapps_get_help.txt'),
        action: function(name, opts) {
          return require('./plugin-impl').devappsGet(name, opts);
        },
        type: 'space',
        options: [
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.catalog.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.catalog.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'url', default: '$APIC_CONFIG$.catalog.host', required: true },
          { name: 'space', type: 'name', default: '$APIC_CONFIG$.space.data.spaces', required: true },
        ],
      },
      {
        command: 'list',
        aliases: [ 'devapps' ],
        loginRequired: true,
        helpInfo: g.f('apic_devapps_list_help.txt'),
        action: function(opts) {
          return require('./plugin-impl').devappsList(opts);
        },
        type: 'catalog',
        defaultType: true,
        options: [
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.catalog.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.catalog.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'url', default: '$APIC_CONFIG$.catalog.host', required: true },
        ],
      },
      {
        command: 'list',
        aliases: [ 'devapps' ],
        loginRequired: true,
        helpInfo: g.f('apic_devapps_list_help.txt'),
        action: function(opts) {
          return require('./plugin-impl').devappsList(opts);
        },
        type: 'space',
        options: [
          { name: 'catalog', rune: 'c', type: 'name', default: '$APIC_CONFIG$.catalog.data.catalogs', required: true },
          { name: 'organization', rune: 'o', type: 'name', default: '$APIC_CONFIG$.catalog.data.orgs', required: true },
          { name: 'server', rune: 's', type: 'url', default: '$APIC_CONFIG$.catalog.host', required: true },
          { name: 'space', type: 'name', default: '$APIC_CONFIG$.space.data.spaces', required: true },
        ],
      },
    ],
  },
  ];
};

